Subject: Re: [PATCH 00/17] tests: access bare repositories explicitly

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Apr 2026 11:15:47 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> The safe.bareRepository configuration variable (introduced in 8d1a7448206e)
> allows restricting implicit bare repository discovery. Its default may well
> change to "explicit" in Git v3.0, at which point any test that relies on
> implicit discovery of a bare repository would break, even if the test
> subject has nothing to do with bare repositories.

I do not recall such a change for safe.bareRepository discussed in
the recent past, and I do not have a strong opinion yet because of
that, but if no such change to require "explicit" comes, we would be
losing test coverage with these patches, because these rewrite the
ones that rely on a working code in implicit cases?

Shoudln't there be a patch [01/18] before everything else that
updates Documentation/BreakingChanges.adoc to propose the default
change?

I've scanned the patches and assuming that there is no implicit
access to bare repository allowed, the strategies taken in them ...

> This series adjusts 16 test scripts and git-p4 so that they access bare
> repositories explicitly. The techniques used are:
>
>  * Replace git -C <bare-repo> ... with git --git-dir=<bare-repo> ...
>  * Export GIT_DIR=. after cd-ing into a bare repository
>  * Wrap commands in (GIT_DIR=<path> && export GIT_DIR && ...)
>  * Add test_config_global safe.bareRepository all in the few tests where
>    implicit discovery is genuinely part of what is being tested

... which are summarized nicely above, all make sense.

Thanks.